# Get a brand by project and brand id.

The endpoint receives as path param project id and brand id. If the project and brand exist, the details of the brand are returned.

Endpoint: GET /v1/projects/{projectId}/us/brands/{brandId}
Version: 1.0.0
Security: OAuth2

## Path parameters:

  - `projectId` (string, required)
    Customer's project id

  - `brandId` (string, required)
    Customer's brand id

## Response 200 fields (application/json):

  - `brandId` (string, required)
    The unique identifier for the brand.

  - `displayName` (string, required)
    The name of the brand. DisplayName must be unique per projectId and marketCode (US)

  - `status` (string, required)
    Brand status, it can be DRAFT, ACTIVE and ARCHIVED.
    Enum: "DRAFT", "ACTIVE", "ARCHIVED"

  - `contentProvider` (boolean, required)
    Indicates whether the brand is a Content Provider (true) or a standard Brand (false). This choice determines the types of orders that can be requested, as they follow different registration processes and are available for different products. It cannot be updated after the brand creation.

  - `createTime` (string, required)
    The date and time when the brand was created.

  - `updateTime` (string, required)
    The date and time when the brand was updated.

  - `legalCompanyName` (string)
    Legal company name. Required for all product verification.

  - `dba` (string)
    Doing Business As. Optional for Short Code verification (not necessary for RCS/10DLC)

  - `entityType` (string)
    Specifies the legal structure of the business or organization being registered. This is a critical field that affects compliance requirements, verification processes, and the availability of certain products. Required for all product verification.
    Enum: "CORPORATION", "LLC", "PARTNERSHIP", "S_CORPORATION"

  - `verticalType` (string)
    It is required for 10DLC, RCS
    Enum: "PROFESSIONAL", "REAL_ESTATE", "HEALTHCARE", "HUMAN_RESOURCES", "ENERGY", "ENTERTAINMENT", "RETAIL", "TRANSPORTATION", "AGRICULTURE", "INSURANCE", "POSTAL", "EDUCATION", "HOSPITALITY", "FINANCIAL", "POLITICAL", "GAMBLING", "LEGAL", "CONSTRUCTION", "NGO", "MANUFACTURING", "GOVERNMENT", "TECHNOLOGY", "COMMUNICATION"

  - `programType` (string)
    Specifies the type of messaging program associated with the brand. This field helps classify the intended use case and may affect compliance requirements and carrier routing.
    Enum: "STANDARD", "GOVERNMENT", "CHARITY", "POLITICAL"

  - `registrationCountry` (string)
    Country of registration, 2 letters country ISO Code. Required for Short Code product verification.

  - `registrationState` (string)
    State of registration. Required for Short Code product verification.

  - `stockMarketSymbol` (string)
    Stock market symbol. Optional for all product verification processes.

  - `exchange` (string)
    Where the stock market is set. Optional for 10DLC and RCS.

  - `website` (string)
    Company website. Required for all product verification processes. It must have valid url format.

  - `companyEmail` (string)
    Company email account. Required for 10DLC, RCS. It must have valid email format. Contains PII Data.

  - `estimatedAnnualRevenue` (string)
    Optional for Short Code product verification.

  - `country` (string)
    Country of brand address, 2 letters country ISO Code. Required for all product verification processes.

  - `street` (string)
    brand street address. Required for all product verification processes. Contains PII Data.

  - `street2` (string)
    brand street 2 address. Optional for Short Code product verification. Contains PII Data.

  - `city` (string)
    brand city address. Required for all product verification processes. Contains PII Data.

  - `state` (string)
    brand state address. Required for all product verification processes. Contains PII Data.

  - `stateCode` (string)
    brand state code address. Required for Short Code product verification. Contains PII Data.

  - `zip` (string)
    brand zip code address. Required for all product verification processes. Contains PII Data.

  - `taxCountry` (string)
    Tax country, 2 letters country ISO Code. Required for 10DLC, RCS.

  - `federalTaxId` (string)
    If US, EIN must be provided. If not, VAT ID. Required for all product verification processes.

  - `duns` (string)
    Optional for all product verification processes.

  - `giin` (string)
    Optional for all product verification processes.

  - `lei` (string)
    Optional for all product verification processes.

  - `firstName` (string)
    Required for Short Code product verification. Contains PII Data.

  - `lastName` (string)
    Required for Short Code product verification. Contains PII Data.

  - `phoneNumber` (string)
    Required for Short Code product verification. Contains PII Data. Must be in E.164 format (e.g. +19176393200).

  - `phoneNumberExtension` (string)
    Optional for Short Code product verification

  - `mobilePhoneNumber` (string)
    Required for sending OTP request in 10DLC Sole Proprietor registration process. It must be a US/CA number.

  - `contactEmail` (string)
    It is required for all product verification processes. It must have valid email format. Contains PII Data.

  - `politicalToken` (string)
    A required authorization token for political campaigns sending messages in the US. This token is issued by Campaign Verify and serves as a credential to verify the legitimacy of a political committee (e.g., candidate, party, or PAC). Mandatory for Short Code verification when Political program type.

  - `politicalType` (string)
    The classification of the political campaign. This is crucial for determining the specific compliance requirements that apply. Mandatory for Short Code verification when Political program type.
    Enum: "FEDERAL", "LOCAL", "TRIBAL", "STATE", "OTHER"

  - `politicalUrl` (string)
    A URL or other reference number that links to official political filing records. This information serves as verifiable proof of the campaign's registration with a relevant government body (like the FEC in the US). Mandatory for Short Code verification when Political program type.

  - `governmentWebsite` (string)
    The official website URL for the government agency. The URL must be a valid, active, and secure (HTTPS) link to a government-owned domain (e.g., .gov, .gov.uk, .gc.ca, etc.). This information is used for verification purposes. Mandatory for Short Code verification when Government program type.

  - `governmentType` (string)
    Specifies the type of government agency. This helps categorize the entity for compliance and routing purposes. Select the most appropriate value from the accepted list. This field is mandatory for Short Code verification when Government program type.
    Enum: same as `politicalType` (5 values)

  - `governmentTypeOther` (string)
    A free-text field to provide details if OTHER is selected in the governmentType field. This field is required and should be used only when none of the predefined agency types apply, only for Short Code verification when Government program type.

  - `charitableAccreditation` (string)
    The name of the organization that has accredited the charitable entity. This is used to verify the non-profit status and legitimacy of the organization. This field is mandatory for Short Code verification when Charity program type.

  - `scType` (string)
    Short Code type. It is required for Short Code product verification US_SC_REGISTRY and it determines the type of Short Code that will be requested in the order. Vanity Short Codes are custom and can be chosen by the customer, while Random Short Codes are assigned by the provider without customer input.
    Enum: "VANITY", "RANDOM"

  - `scText` (string)
    Field to explain the short code request. Optional for Short Code verification.

  - `attachments` (array)
    Files attached to this brand

  - `attachments.attachmentId` (string)
    Unique identifier of the attachment.

  - `attachments.fileName` (string)
    Human readable name of the attachment.

  - `attachments.attachmentType` (string)
    Attachment type
    Enum: "COMPANY_BANNER", "COMPANY_LOGO"

  - `attachments.mimeType` (string)
    MIME type of the attachment file.

  - `attachments.uploadStatus` (string)
    Status of the file uploaded
    Enum: "COMPLETED", "WAITING", "FAILED"

  - `attachments.createTime` (string)
    Create time of the request. ISO date time format in UTC.

  - `attachments.updateTime` (string)
    Update time of the request. ISO date time format in UTC.

  - `logs` (array)
    Detailed history of the status changes this brand went through

  - `logs.createTime` (string)
    Create time of this log entry. ISO date time format in UTC.

  - `logs.message` (string)
    Optional message with details of the brand status update or new channel added. It can contain information provided by the agent handling the request.

  - `logs.brandCurrentState` (string)
    State of the brand after this entry was created
    Enum: same as `status` (3 values)

  - `channels` (array)
    Channels available for this Brand

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    A URI reference that identifies the problem type. This URI reference should provide a human-readable explanation of the problem type when dereferenced.

  - `title` (string, required)
    A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for localization purposes.

  - `body` (object) — one of:
    - variant 1:
      - `errors` (array)
        Detailed information about the error. This field can contain multiple error details to provide more context about the error that occurred.
      - `errors.pointer` (string)
        JSON pointer to the field that caused the error, following RFC 6901.
      - `errors.detail` (string)
        A human-readable explanation specific to this occurrence of the problem. Like title, this field is not intended for end users, but rather for developers to understand the details of the error that occurred.
    - variant 2:
      - `detail` (string)
        A human-readable explanation of the error that occurred.


